org.apache.felix.framework

## Class Logger

- java.lang.Object
- - org.apache.felix.resolver.Logger
  - - org.apache.felix.framework.Logger

    public class Logger
    extends org.apache.felix.resolver.Logger

This class mimics the standard OSGi `LogService` interface. An instance of this class is used by the framework for all logging. By default this class logs messages to standard out. The log level can be set to control the amount of logging performed, where a higher number results in more logging. A log level of zero turns off logging completely.

The log levels match those specified in the OSGi Log Service (i.e., 1 = error, 2 = warning, 3 = information, and 4 = debug). The default value is 1.

### Field Summary

### Fields inherited from class org.apache.felix.resolver.Logger

`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

### Constructor Summary

Constructors
Constructor and Description
`Logger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `_log(Bundle bundle, ServiceReference sr, int level, String msg, Throwable throwable)`
`protected void` `doLog(Bundle bundle, ServiceReference sr, int level, String msg, Throwable throwable)`
`protected void` `doLog(int level, String msg, Throwable throwable)`
`protected void` `doLogOut(int level, String s, Throwable throwable)`
`protected void` `doLogReflectively(int level, String msg, Throwable throwable)`
`void` `log(Bundle bundle, int level, String msg)`
`void` `log(Bundle bundle, int level, String msg, Throwable throwable)`
`void` `log(ServiceReference sr, int level, String msg)`
`void` `log(ServiceReference sr, int level, String msg, Throwable throwable)`
`void` `setLogger(Object logger)`

### Methods inherited from class org.apache.felix.resolver.Logger

`debug, getLogLevel, isDebugEnabled, log, log, logUsesConstraintViolation, setLogLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

### Method Detail

#### setLogger

    public void setLogger(Object logger)

#### log

    public final void log(ServiceReference sr,
                          int level,
                          String msg)

#### log

    public final void log(ServiceReference sr,
                          int level,
                          String msg,
                          Throwable throwable)

#### log

    public final void log(Bundle bundle,
                          int level,
                          String msg)

#### log

    public final void log(Bundle bundle,
                          int level,
                          String msg,
                          Throwable throwable)

#### _log

    protected void _log(Bundle bundle,
                        ServiceReference sr,
                        int level,
                        String msg,
                        Throwable throwable)

#### doLog

    protected void doLog(Bundle bundle,
                         ServiceReference sr,
                         int level,
                         String msg,
                         Throwable throwable)

#### doLog

    protected void doLog(int level,
                         String msg,
                         Throwable throwable)

Overrides:
  `doLog` in class `org.apache.felix.resolver.Logger`

#### doLogOut

    protected void doLogOut(int level,
                            String s,
                            Throwable throwable)

#### doLogReflectively

    protected void doLogReflectively(int level,
                                     String msg,
                                     Throwable throwable)